com.sun.jdi.event

## Interface MonitorContendedEnterEvent

- All Superinterfaces:
    Event, Locatable, LocatableEvent, Mirror

      public interface MonitorContendedEnterEvent
      extends LocatableEvent

  Notification that a thread in the target VM is attempting to enter a monitor that is already acquired by another thread.

  Since:
    1.6
  See Also:
    `EventQueue`, `MonitorContendedEnteredEvent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectReference` | `monitor()` Returns the method that was entered.
    `ThreadReference` | `thread()` Returns the thread in which this event has occurred.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

- - ### Method Detail

    - #### thread

          ThreadReference thread()

      Returns the thread in which this event has occurred.

      Specified by:
        `thread` in interface `LocatableEvent`
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

    - #### monitor

          ObjectReference monitor()

      Returns the method that was entered.
      Returns:
        an `ObjectReference` for the monitor.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.